Bug 53636 - Can't post bug with long URL
Summary: Can't post bug with long URL
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.8
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-13 16:20 UTC by Ed Avis
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 20:08:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Avis 2001-09-13 16:20:22 UTC
Description of Problem: if the 'URL' field in the bug report form has a
long value, Bugzilla chokes when you try to commit the bug.

Version-Release number of selected component (if applicable): 
whatever bugzilla.redhat.com/bugzilla/ is running


How Reproducible: go to bug report page and enter a nice long URL in the
URL field.  For example, I was trying to file a bug report with the URL

https://bugzilla.redhat.com/bugzilla/buglist.cgi?email1=&emailassigned_to1=1&email2=&emailreporter2=1&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&short_desc=&long_desc=com_err&bug_file_loc=&status_whiteboard=&cmdtype=doit&newqueryname=&order=Bug+Number+Ascending&form_name=query

Then fill in any mandatory fields and press 'Commit'.

Actual Results: got to post_bug.cgi with the error message:

Content-type: text/html
Software error:
DBD::Oracle::st execute failed: ORA-01401: inserted value too large for
column (DBD ERROR: OCIStmtExecute) at globals.pl line 225.

For help, please send mail to the webmaster (bugzilla@redhat.com), giving
this error message and the time and date of the error.


Expected Results: I expected the bug to post correctly even with a somewhat
long URL.  Or in the worst case, Bugzilla should fail cleanly and say
'the URL you've chosen is too long'.

Additional Information: you might say that nobody in his right mind would
make URLs that long.  But this particular example is a URL from Bugzilla
itself!  Bugzilla can dish it out, but it can't take it...

Comment 1 Aleksey Nogin 2002-12-13 20:07:35 UTC
Trying to enter a long URL in the new Bugzilla.

Comment 2 Aleksey Nogin 2002-12-13 20:08:19 UTC
Seems to work now.


Note You need to log in before you can comment on or make changes to this bug.